import { DimoEnvironment } from '../environments';
export interface Resource {
    [key: string]: (...args: any) => any;
}
export declare class Resource {
    api: any;
    resourceName: any;
    env: any;
    constructor(api: any, resourceName: string, env: keyof typeof DimoEnvironment);
    protected setQueries(resources: any): void;
    /**
     * Custom GraphQL Queries
     * @param resources
     */
    query(resources: any): void;
}
